This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1288609 - Creative Live! Cam Optia AF no longer works
Creative Live! Cam Optia AF no longer works
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-04 12:47 EST by Dimitrios Christidis
Modified: 2016-07-19 14:34 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 14:34:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg output with uvcvideo tracing (31.41 KB, text/plain)
2015-12-04 12:47 EST, Dimitrios Christidis
no flags Details

  None (edit)
Description Dimitrios Christidis 2015-12-04 12:47:56 EST
Created attachment 1102343 [details]
dmesg output with uvcvideo tracing

Description of problem:
I'm using a Creative Live! Cam Optia AF (VF0560). During the Fedora 22 cycle, the device stopped working. I assumed it was a hardware failure, but it turned out that the device was fully functional when using a Fedora 22 Live USB.


Version-Release number of selected component (if applicable):
I tested multiple kernel versions in an attempt to locate when the regression appeared. The device was working fine up to kernel-4.1.6-201.fc22.x86_64. The issue first appeared in kernel-4.1.7-200.fc22.x86_64 and is present in kernel-4.2.6-201.fc22.x86_64.


How reproducible:
Almost always. Sometimes, the device might work right after plugging it in, but only once. See the attached dmesg output.


Steps to Reproduce:
1. Use Cheese to record video.
2. Use Sound Recorder to record audio.


Actual results:
LED turns on but video is black and audio is nothing but noise.


Additional info:
I'm unsure if this issue is related to bug #739448. The device was working fine for me in Fedora 20 and 21.

Attached with this bug is the output of dmesg with tracing enabled for uvcvideo. I performed the following actions:
1. Plug in the device.
2. Launch Cheese. The device was working. Quit Cheese.
3. Launch Cheese again. This time, video was black. Quit Cheese.
Comment 1 Dimitrios Christidis 2016-01-25 19:01:35 EST
I performed a git bisect on the vanilla kernel. The device is still nonfunctional in 4.5.0-rc1.

[dchristidis@Cosmos linux-stable]$ git bisect log
git bisect start
# good: [4ff62ca06c0c0b084f585f7a2cfcf832b21d94fc] Linux 4.1.6
git bisect good 4ff62ca06c0c0b084f585f7a2cfcf832b21d94fc
# bad: [0c5c1f1a4f991ee015da85cce6d2d9f9c9380b4f] Linux 4.1.7
git bisect bad 0c5c1f1a4f991ee015da85cce6d2d9f9c9380b4f
# good: [71b6a23ea944c6a30958bd15a69211e1fd521e1e] libiscsi: Fix host busy blocking during connection teardown
git bisect good 71b6a23ea944c6a30958bd15a69211e1fd521e1e
# bad: [8de8663a93eee38e82bcdd511d2b4f9e99de02a0] drm/i915: Flag the execlists context object as dirty after every use
git bisect bad 8de8663a93eee38e82bcdd511d2b4f9e99de02a0
# bad: [e6212cca33e130cf5c5222a3f5b3608564c2cd49] ALSA: usb: Add native DSD support for Gustard DAC-X20U
git bisect bad e6212cca33e130cf5c5222a3f5b3608564c2cd49
# good: [0a72deb0923c023b3e84087a5ae2a94fd4daf43c] Revert "libata: Implement support for sense data reporting"
git bisect good 0a72deb0923c023b3e84087a5ae2a94fd4daf43c
# good: [2f9de0cc23d064bcae6756976a7560a55290514e] cpuset: use trialcs->mems_allowed as a temp variable
git bisect good 2f9de0cc23d064bcae6756976a7560a55290514e
# bad: [2e4728c6359824fcbd46dad5a3acc85f441ecf6f] ALSA: hda - Fix the white noise on Dell laptop
git bisect bad 2e4728c6359824fcbd46dad5a3acc85f441ecf6f
# bad: [56577410e1e08afcc1a37d0b75d529e8be2f03d0] ALSA: usb-audio: Fix runtime PM unbalance
git bisect bad 56577410e1e08afcc1a37d0b75d529e8be2f03d0
# first bad commit: [56577410e1e08afcc1a37d0b75d529e8be2f03d0] ALSA: usb-audio: Fix runtime PM unbalance
Comment 2 Fedora End Of Life 2016-07-19 14:34:12 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.